Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BitePoint Class Reference

A class that contains a certain bitePoint at the open challenge bridge. More...

`#include <SpecialPercept.h>`

Collaboration diagram for BitePoint:

[legend]
List of all members.

## Public Types
enum | Position { none = -1, frontleft = 0, frontright, behindleft, behindright, master, numOfPositions }
| The different bitePoints. More...
## Public Member Functions
| BitePoint ()
| Constructor.
void | addPercept (double aAngleTo, double aDistanceTo, double aPreciseShift)
| method to add a new percept
## Public Attributes
Position | position
| postion of the bitePoint at the oc bridge
double | angleTo
| relative angle to the bitePoint
double | distanceTo
| relative distance to the bitePoint
Vector2< double > | relPos
| the relative position of the bitePoint
double | preciseShift
| the preciseShift to either left or right while in front of the bytePoint
unsigned long | timeWhenLastSeen
| time when the bitePoint was last seen by the own camera
bool | fresh
| indicates fresh-data
Pose2D | lastOdometry
| last odometry-data

## Detailed Description

A class that contains a certain bitePoint at the open challenge bridge.

Author:
  Jochen Kerdels

Definition at line 33 of file SpecialPercept.h.

## Member Enumeration Documentation

enum BitePoint::Position

  | The different bitePoints. Enumeration values:
  none |
  frontleft |
  frontright |
  behindleft |
  behindright |
  master |
  numOfPositions |
Definition at line 40 of file SpecialPercept.h. Referenced by OCBridge::OCBridge().

## Constructor & Destructor Documentation

BitePoint::BitePoint | ( |  | ) |

| Constructor. Definition at line 14 of file SpecialPercept.cpp. References angleTo, distanceTo, fresh, preciseShift, relPos, Vector2< double >::x, and Vector2< double >::y.

## Member Function Documentation

void BitePoint::addPercept | ( | double | aAngleTo,
|  | double | aDistanceTo,
|  | double | aPreciseShift
| ) |

| method to add a new percept Definition at line 26 of file SpecialPercept.cpp. References angleTo, distanceTo, fresh, SystemCall::getCurrentSystemTime(), pi_2, preciseShift, relPos, sgn, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

Position BitePoint::position

| postion of the bitePoint at the oc bridge Definition at line 52 of file SpecialPercept.h. Referenced by OCBridge::OCBridge(), operator<<(), and operator>>().

double BitePoint::angleTo

| relative angle to the bitePoint Definition at line 55 of file SpecialPercept.h. Referenced by addPercept(), BitePoint(), operator<<(), and operator>>().

double BitePoint::distanceTo

| relative distance to the bitePoint Definition at line 57 of file SpecialPercept.h. Referenced by addPercept(), BitePoint(), operator<<(), and operator>>().

Vector2<double> BitePoint::relPos

| the relative position of the bitePoint Definition at line 59 of file SpecialPercept.h. Referenced by addPercept(), BitePoint(), operator<<(), and operator>>().

double BitePoint::preciseShift

| the preciseShift to either left or right while in front of the bytePoint Definition at line 63 of file SpecialPercept.h. Referenced by addPercept(), BitePoint(), operator<<(), and operator>>().

unsigned long BitePoint::timeWhenLastSeen

| time when the bitePoint was last seen by the own camera Definition at line 66 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

bool BitePoint::fresh

| indicates fresh-data Definition at line 72 of file SpecialPercept.h. Referenced by addPercept(), BitePoint(), operator<<(), and operator>>().

Pose2D BitePoint::lastOdometry

| last odometry-data Definition at line 75 of file SpecialPercept.h.

The documentation for this class was generated from the following files:

- Representations/Perception/SpecialPercept.h
- Representations/Perception/SpecialPercept.cpp